D4Science Infrastructure - Task #12384

Provide a cronjob for restarting VREModeler service
Sep 04, 2018 02:28 PM - Roberto Cirillo

Status: Closed Start date: Sep 04, 2018
Priority: Low Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Pre-Production

Description

It's needed to restart the VREModeler instance running on
gcubel@node22.p.d4science.research-infrastructures.eu

every week as done for other production instances.
e.g.

node44.p.d4science.research-infrastructures.eu
The scripts for restarting it are the following:

startContainer.sh
stopContainer.sh

Related issues:
Related to D4Science Infrastructure - Incident #12380: node22.p.d4science.res... Closed Sep 04, 2018

History

#1 - Sep 04, 2018 02:29 PM - Roberto Cirillo

- Related to Incident #12380: node22.p.d4science.research-infrastructures.eu is not responding added

#2 - Sep 04, 2018 05:07 PM - Andrea Dell'Amico

| confirm that node22 is part of the production nodes also in the ansible inventory. If it can be moved into the pre inventory, adding a cron job is a
matter of setting some variables. | can write the details in a wiki so that you can be autonomous for the future.

#3 - Sep 10, 2018 04:37 PM - Roberto Cirillo

It can be moved into the pre inventory. Please, let me know when the wiki is ready. Thanks.

#4 - Dec 10, 2018 07:04 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#5 - Dec 10, 2018 07:15 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The wiki entry is here: https:/support.d4science.org/projects/aginfraplut/wiki/GCore_based_services . | also added a part about the cron job that
rotates the log files.
| provisioned node22.p.d4science.research-infrastructures.eu to check both the restart job and the log rotation one.

#6 - Dec 19, 2018 12:14 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
